if length(dbstack)==1 % ie. directly execute
  clear; close all
  N=50;
  u=@(x,y,z)fc_vfemp1.addon.surface.samples.uxyz01(x,y,z);
  f=@(x,y,z)fc_vfemp1.addon.surface.samples.fxyz01(x,y,z);
  Fmap=@(x,y,z)fc_vfemp1.addon.surface.samples.Fmapxyz01(x,y,z);
  gradSu=@(x,y,z)fc_vfemp1.addon.surface.samples.gradSuxyz01(x,y,z)
  c={@(x,y,z) cos(x), @(x,y,z) sin(y), @(x,y,z) 2+x.*y.*z};
  a0=@(x,y,z) 1+x.^2;
end

[bvp,info]=fc_vfemp1.addon.surface.samples.set_sBVP01_halfsphere4surf_map( ...
            N,'u',u,'f',f,'Fmap',Fmap,'a0',a0,'gradSu',gradSu,'c',c,'verbose',1);

tstart=tic();
U=bvp.solve();
T(1)=toc(tstart);

fprintf('*** Solving surface BVP in %.3f(s)\n', T(1))
tstart=tic();
fc_vfemp1.addon.surface.samples.plotSBVPsolution(bvp,info,U);
figure(2+~isempty(u))
Th=bvp.Th;
Th.plotmesh('color',0.9*[1 1 1])
hold on;axis off;axis image
Th.plotmesh('d',1,'legend',true,'linewidth',3)
view(-9.5,-8.5)
T(1)=toc(tstart);
fprintf('*** Plotting in %.3f(s)\n', T(1))