if length(dbstack)==1
  clear; close all
  N=50;
  u=@fc_vfemp1.addon.surface.samples.uxyz01;
  f=@fc_vfemp1.addon.surface.samples.fxyz01;
  Fmap=@fc_vfemp1.addon.surface.samples.Fmapxyz01;
  gradSu=@fc_vfemp1.addon.surface.samples.gradSuxyz01;
  a0=@(x,y,z) 1+x.^2;
  c={@(x,y,z) cos(x), @(x,y,z) sin(y), @(x,y,z) 2+x.*y.*z};
end

[bvp,info]=fc_vfemp1.addon.surface.samples.set_sBVP02_sphere_map( ...
             N,'u',u,'f',f,'Fmap',Fmap,'a0',a0,'c',c,'gradSu',gradSu,'verbose',1);

tstart=tic();
U=bvp.solve();
T(1)=toc(tstart);

fprintf('*** Solving surface BVP in %.3f(s)\n', T(1))
tstart=tic();
fc_vfemp1.addon.surface.samples.plotSBVPsolution(bvp,info,U);
T(1)=toc(tstart);
fprintf('*** Plotting in %.3f(s)\n', T(1))